> ## Documentation Index
> Fetch the complete documentation index at: https://developer.bitwage.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get funding account details

> Get bank account details for a user's funding account based on payer currency.



## OpenAPI

````yaml /api-reference/openapi.yaml get /api/user/funding/account
openapi: 3.1.0
info:
  title: Bitwage Partner API
  version: '2.0'
  description: |
    The Bitwage Partner API allows you to integrate Bitwage payroll and payment
    functionality into your own application. You can manage users, companies,
    distributions, payroll, and more.
  contact:
    name: Development Team
    email: developers@bitwage.com
    url: https://www.bitwage.com/support
  license:
    name: Copyright Bitwage, Inc. All rights reserved.
    url: https://www.bitwage.com/policies/#terms
servers:
  - url: https://api.sandbox.bitwage.com
    description: Sandbox
  - url: https://api2.bitwage.com
    description: Production
security:
  - api_key: []
  - oauth: []
tags:
  - name: Authorization
    description: OAuth 2.0 authorization code flow endpoints.
  - name: Users
    description: Create and manage user accounts.
  - name: User Documents
    description: Upload and manage user KYC documents.
  - name: User Payers
    description: Manage external payers (employers/clients) for users.
  - name: User Distributions
    description: Manage payment distribution destinations for users.
  - name: User Funding
    description: Manage funding (virtual bank) accounts for users.
  - name: Companies
    description: Create and manage company accounts, UBO, KYC/KYB.
  - name: Company Workers
    description: Invite and manage company workers.
  - name: Company Recipients
    description: Manage company recipients (workers and vendors).
  - name: Company Payroll
    description: Create and manage payrolls.
  - name: Merchant
    description: Crypto pay-in and BTC checkout endpoints.
  - name: Wallets
    description: Request and view wallets for payroll funding.
  - name: Webhooks
    description: Webhook event schemas sent by Bitwage.
paths:
  /api/user/funding/account:
    get:
      tags:
        - User Funding
      summary: Get funding account details
      description: >-
        Get bank account details for a user's funding account based on payer
        currency.
      operationId: getFundingAccount
      parameters:
        - name: user_id
          in: query
          required: true
          schema:
            type: string
        - name: external_company_id
          in: query
          required: true
          schema:
            type: string
          description: Payer ID.
      responses:
        '200':
          description: Funding account details returned. Response is keyed by currency.
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/FundingAccountUSD'
                  - $ref: '#/components/schemas/FundingAccountEUR'
components:
  schemas:
    FundingAccountUSD:
      type: object
      properties:
        USD:
          type: object
          properties:
            owner_name:
              type: string
            owner_address:
              type: string
            bank_name:
              type: string
            bank_address:
              type: string
            account_number:
              type: string
            ach_aba_number:
              type: string
            wire_aba_number:
              type: string
    FundingAccountEUR:
      type: object
      properties:
        EUR:
          type: object
          properties:
            owner_name:
              type: string
            iban:
              type: string
            account_id:
              type: string
            iban_number:
              type: string
            iso_country_code:
              type: string
            iban_check_digits:
              type: string
            account_number:
              type: string
            bank_name:
              type: string
            bank_address:
              type: string
            bank_city:
              type: string
            bank_state:
              type: string
            bank_zip:
              type: string
            bank_country:
              type: string
            unique_message:
              type: string
            swift_code_eur:
              type: string
  securitySchemes:
    api_key:
      type: http
      scheme: basic
      description: |
        API key authentication. Include your access token as:
        `Authorization: Basic <ACCESS_TOKEN>`
    oauth:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://app.bitwage.com/authorize
          tokenUrl: https://api2.bitwage.com/oauth2/token
          scopes:
            c_company_detail: Company Detail
            c_company_worker_list: Company Worker List
            c_company_worker_invitations_list: Company Worker Invitation List
            c_company_workers_invite: Company Workers Invite
            c_company_workers_pay: Company Workers Pay
            u_user_create: User Create
            u_user_update: User Update
            u_user_update_doc: User Update Document
            u_user_payer_create: User Payer Create
            u_user_payer_update: User Payer Update
            u_user_invoice_create: User Invoice Create
            u_user_invoice_delete: User Invoice Delete
            u_user_detail: User Detail
            u_user_document_list: User Document List
            u_user_payer_detail: User Payer Detail
            u_user_payer_list: User Payer List
            u_user_bank_details: User Bank Details
            u_user_invoice_detail: User Invoice Detail
            u_user_invoice_list: User Invoice List
            u_user_distribution_detail: User Distribution Detail
            u_user_distribution_list: User Distribution List
            u_user_distribution_create: User Distribution Create
            u_user_distribution_update: User Distribution Update
            u_user_kyc_initiate: User Initiate KYC

````